edu.csus.ecs.pc2.api

## Class ContestTestFrame.ClarificationListener

- java.lang.Object
- - edu.csus.ecs.pc2.api.ContestTestFrame.ClarificationListener

- All Implemented Interfaces:
    IClarificationEventListener
  Enclosing class:
    ContestTestFrame

      protected class ContestTestFrame.ClarificationListener
      extends Object
      implements IClarificationEventListener

  Clar Listener for ContestTestFrame.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContestTestFrame.ClarificationListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clarificationAdded(IClarification clarification)` New Clarification submitted.
    `void` | `clarificationAnswered(IClarification clarification)` Clarification answered by judge.
    `void` | `clarificationRemoved(IClarification clarification)` Invoked when an existing clarification has been removed from the contest (marked as deleted by the Contest Administrator).
    `void` | `clarificationUpdated(IClarification clarification)` Invoked when clarification edited/changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContestTestFrame.ClarificationListener

          protected ContestTestFrame.ClarificationListener()

  - ### Method Detail

    - #### clarificationAdded

          public void clarificationAdded(IClarification clarification)

      Description copied from interface: `IClarificationEventListener`
      New Clarification submitted.
      Specified by:
        `clarificationAdded` in interface `IClarificationEventListener`
      Parameters:
        `clarification` - - the added `IClarification`

    - #### clarificationRemoved

          public void clarificationRemoved(IClarification clarification)

      Description copied from interface: `IClarificationEventListener`
      Invoked when an existing clarification has been removed from the contest (marked as deleted by the Contest Administrator).
      Specified by:
        `clarificationRemoved` in interface `IClarificationEventListener`
      Parameters:
        `clarification` - the deleted `IClarification`

    - #### clarificationAnswered

          public void clarificationAnswered(IClarification clarification)

      Description copied from interface: `IClarificationEventListener`
      Clarification answered by judge.
      Specified by:
        `clarificationAnswered` in interface `IClarificationEventListener`
      Parameters:
        `clarification` - - the answered `IClarification`

    - #### clarificationUpdated

          public void clarificationUpdated(IClarification clarification)

      Description copied from interface: `IClarificationEventListener`
      Invoked when clarification edited/changed.
      Specified by:
        `clarificationUpdated` in interface `IClarificationEventListener`
      Parameters:
        `clarification` - the changed `IClarification`